Subject: [bug#28347] Cadaver

From: ng0 <[email-masked]>
Date: Tue, 19 Sep 2017 18:17:49 +0000

Alex Kost transcribed 1.5K bytes:
> ng0 (2017-09-04 18:11 +0000) wrote:
> 
> > A package from my "crypt". I tried various ways
> > to unbundle neon but did not succeed.
> 
> I think it would be good if you wrote what you tried :-)
> 
> Here are my attempts:
> 
> At first, there are the following messages during "configure" phase:
> 
>   configure: no external neon library found
>   configure: using bundled neon (0.29.1)
> 
> So, when I added ("neon" ,neon) input, I got:
> 
>   configure: incompatible neon library version 0.30.2: wanted 0.27 28 29
>   configure: using bundled neon (0.29.1)
> 
> Ouch, so 0.30.2 is not supported.  This is the line from "configure.ac":
> 
>   NE_REQUIRE_VERSIONS([0], [27 28 29])
> 
> OK, I tried to build it with 0.30.2 anyway using the following phase:
> 
>          (add-after 'unpack 'fix-required-neon-version
>            (lambda _
>              (substitute* "configure"
>                (("27 28 29")
>                 ,(string-join
>                   (cdr (string-split (package-version neon) #\.))
>                   ".")))
>              #t))
> 
> But I got:
> 
>   configure: incompatible neon library version 0.30.2: wanted 0.30.2
>   configure: using bundled neon (0.29.1)
> 
> What?  Well, now I don't know what to do (perhaps I should have patched
> "configure.ac" instead and added "autoreconf" phase, but I didn't try).

Basically at some point I tried to replicate
https://gitweb.gentoo.org/repo/gentoo.git/tree/net-misc/cadaver/cadaver-0.23.3.ebuild
which worked but then I messed it up by unbundling more
than just neon. And then many months back I had no regular
use for the package anymore.

What Gentoo does seems to work as Gentoo is on neon 30.2

So, I tried exactly what you did, it just had been so
long ago that I worked on this.

> > The package itself works.
> 
> Great, I think if there will be no comments in a week or so, I will just
> go ahead and commit your patch (in a hope this unbundling will happen in
> the future somehow).  So if anyone has something to say about this
> patch, please do it now :-)
> 
> -- 
> Alex
> 

Thanks
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://www.krosos.org